Gecode::Int::Linear::SupportSet Class Reference

Set for support information More...

`#include <int-dom.hpp>`

## Public Member Functions

| SupportSet (void)
| Default constructor.
void | init (Region &r, unsigned int n)
| Initialize support set with cardinality n.
void | support (unsigned int i)
| Record that there is support at position i.
bool | supported (unsigned int i) const
| Check whether position.
ModEvent | tell (Space &home, IntView &x) const
| Perform tell according to recorded support information on.

## Detailed Description

Set for support information

Records supported positions of values such that with iteration the supported values can be reconstructed.

Definition at line 43 of file int-dom.hpp.

## Constructor & Destructor Documentation

## SupportSet()

Gecode::Int::Linear::SupportSet::SupportSet | ( | void |  | ) |

inline

Default constructor.

Definition at line 163 of file int-dom.hpp.

## Member Function Documentation

## init()

void Gecode::Int::Linear::SupportSet::init | ( | Region & | r,
|  | unsigned int | n )

inline

Initialize support set with cardinality n.

Definition at line 165 of file int-dom.hpp.

## support()

void Gecode::Int::Linear::SupportSet::support | ( | unsigned int | i | ) |

inline

Record that there is support at position i.

Definition at line 169 of file int-dom.hpp.

## supported()

bool Gecode::Int::Linear::SupportSet::supported | ( | unsigned int | i | ) | const

inline

Check whether position.

- i has support

Definition at line 173 of file int-dom.hpp.

## tell()

ModEvent Gecode::Int::Linear::SupportSet::tell | ( | Space & | home,
|  | IntView & | x ) const

inline

Perform tell according to recorded support information on.

- x

Definition at line 193 of file int-dom.hpp.

The documentation for this class was generated from the following file:

- gecode/int/linear/int-dom.hpp